Home
last modified time | relevance | path

Searched full:fail (Results 1 – 25 of 3555) sorted by relevance

12345678910>>...143

/freebsd/contrib/netbsd-tests/include/
H A Dt_errno.c45 bool fail; in ATF_TC_BODY() local
53 fail = true; in ATF_TC_BODY()
56 fail = false; in ATF_TC_BODY()
58 if (fail != false) in ATF_TC_BODY()
61 fail = true; in ATF_TC_BODY()
64 fail = false; in ATF_TC_BODY()
66 if (fail != false) in ATF_TC_BODY()
69 fail = true; in ATF_TC_BODY()
72 fail = false; in ATF_TC_BODY()
74 if (fail != false) in ATF_TC_BODY()
[all …]
H A Dt_netdb.c45 bool fail; in ATF_TC_BODY() local
53 fail = true; in ATF_TC_BODY()
56 fail = false; in ATF_TC_BODY()
58 if (fail != false) in ATF_TC_BODY()
61 fail = true; in ATF_TC_BODY()
64 fail = false; in ATF_TC_BODY()
66 if (fail != false) in ATF_TC_BODY()
69 fail = true; in ATF_TC_BODY()
72 fail = false; in ATF_TC_BODY()
74 if (fail != false) in ATF_TC_BODY()
[all …]
/freebsd/contrib/bmake/unit-tests/
H A Dvar-eval-short.exp1 make: "var-eval-short.mk" line 45: In the :@ modifier, the variable name "${FAIL}" must not contain…
2 while parsing "${:Uword:@${FAIL}@expr@}"
3 Parsing var-eval-short.mk:158: .if 0 && ${0:?${FAIL}then:${FAIL}else}
4 CondParser_Eval: 0 && ${0:?${FAIL}then:${FAIL}else}
5 Var_Parse: ${0:?${FAIL}then:${FAIL}else} (parse)
7 Var_Parse: ${FAIL}then:${FAIL}else} (parse)
8 Modifier part: "${FAIL}then"
9 Var_Parse: ${FAIL}else} (parse)
10 Modifier part: "${FAIL}else"
11 Result of ${0:?${FAIL}then:${FAIL}else} is "" (parse, defined)
[all …]
H A Dvar-eval-short.mk14 FAIL= ${:!echo unexpected 1>&2!}
23 .if 0 && ${FAIL}
26 .if 0 && ${VAR::=${FAIL}}
31 .if 0 && ${${FAIL}:?then:else}
34 .if 0 && ${1:?${FAIL}:${FAIL}}
37 .if 0 && ${0:?${FAIL}:${FAIL}}
40 # Before var.c 1.870 from 2021-03-14, the expression ${FAIL} was evaluated
44 # expect+1: In the :@ modifier, the variable name "${FAIL}" must not contain a dollar
45 .if 0 && ${:Uword:@${FAIL}@expr@}
48 .if 0 && ${:Uword:@var@${FAIL}@}
[all …]
/freebsd/crypto/openssh/regress/
H A Dsftp-cmds.sh32 grep copy.dd >/dev/null || fail "lls failed"
36 grep copy.dd >/dev/null || fail "lls w/path failed"
40 || fail "ls failed"
45 egrep '^hi there$' >/dev/null || fail "shell failed"
49 || fail "pwd failed"
54 || fail "lpwd failed"
59 || fail "quit failed"
64 || fail "help failed"
70 || fail "get failed"
71 cmp $DATA ${COPY} || fail "corrupted copy after get"
[all …]
H A Dscp.sh54 $SCP $scpopts ${DATA} ${COPY} || fail "copy failed"
55 cmp ${DATA} ${COPY} || fail "corrupted copy"
59 $SCP $scpopts ${DATA} somehost:${COPY} || fail "copy failed"
60 cmp ${DATA} ${COPY} || fail "corrupted copy"
64 $SCP $scpopts somehost:${DATA} ${COPY} || fail "copy failed"
65 cmp ${DATA} ${COPY} || fail "corrupted copy"
70 $SCP $scpopts ${COPY} somehost:${COPY} || fail "copy failed"
71 cmp ${DATA} ${COPY} || fail "corrupted copy"
76 $SCP $scpopts somehost:${COPY} ${COPY} || fail "copy failed"
77 cmp ${DATA} ${COPY} || fail "corrupted copy"
[all …]
H A Dmultiplex.sh47 fail "environment not found"
56 fail "environment not found"
64 test -f ${COPY} || fail "ssh -Sctl: failed copy ${DATA}"
65 cmp ${DATA} ${COPY} || fail "ssh -Sctl: corrupted copy of ${DATA}"
70 test -f ${COPY} || fail "ssh -S ctl: failed copy ${DATA}"
71 cmp ${DATA} ${COPY} || fail "ssh -S ctl: corrupted copy of ${DATA}"
78 test -f ${COPY} || fail "sftp: failed copy ${DATA}"
79 cmp ${DATA} ${COPY} || fail "sftp: corrupted copy of ${DATA}"
84 test -f ${COPY} || fail "scp: failed copy ${DATA}"
85 cmp ${DATA} ${COPY} || fail "scp: corrupted copy of ${DATA}"
[all …]
H A Dagent.sh8 fail "ssh-add -l did not fail with exit code 2"
26 fail "ssh-add -l did not fail with exit code 1"
50 fail "ssh-add failed exit code $?"
55 fail "ssh-add failed exit code $?"
71 fail "ssh-add -l failed: exit code $r"
77 fail "ssh-add -L failed: exit code $r"
84 fail "ssh connect with failed (exit code $r)"
97 fail "ssh connect with failed (exit code $r)"
105 fail "ssh-add -l via agent fwd failed (exit code $r)"
110 fail "ssh-add -l via agent path fwd failed (exit code $r)"
[all …]
H A Dsshsig.sh57 fail "sign using $t with bad hash algorithm succeeded"
67 fail "sign using $t / $h failed"
73 fail "failed signature for $t / $h key"
82 fail "failed signature for $t key w/ limited namespace"
91 fail "failed signature for $t key w/ print-pubkey"
94 fail "print-pubkey differs from signature key"
102 fail "accepted signature for $t key with bad signers option"
110 fail "accepted signature for $t key with wrong key trusted"
118 fail "passed signature for wrong data with $t key"
126 fail "accepted signature for $t key with wrong principal"
[all …]
/freebsd/sys/contrib/openzfs/tests/test-runner/bin/
H A Dzts-report.py.in31 # Test: /path/to/testc (run as root) [00:00] [FAIL]
35 # FAIL 22
47 # Some test cases are known to fail in ways which are not harmful or dangerous.
86 # Some rewind tests can fail since nothing guarantees that old MOS blocks
137 # These tests are known to fail, thus we use this list to prevent these
148 'casenorm/mixed_none_lookup_ci': ['FAIL', 7633],
149 'casenorm/mixed_formd_lookup_ci': ['FAIL', 7633],
151 ['FAIL', rewind_reason],
156 'refreserv/refreserv_004_pos': ['FAIL', known_reason],
159 'vdev_zaps/vdev_zaps_007_pos': ['FAIL', known_reason],
[all …]
/freebsd/contrib/libfido2/examples/
H A Dutil.c59 goto fail; in write_blob()
64 goto fail; in write_blob()
68 goto fail; in write_blob()
72 fail: in write_blob()
92 goto fail; in read_blob()
96 goto fail; in read_blob()
100 goto fail; in read_blob()
105 goto fail; in read_blob()
109 goto fail; in read_blob()
113 goto fail; in read_blob()
[all …]
/freebsd/contrib/googletest/googletest/test/
H A Dgoogletest-failfast-unittest_.cc49 TEST_F(HasFixtureTest, Test1) { FAIL() << "Expected failure."; } in TEST_F()
51 TEST_F(HasFixtureTest, Test2) { FAIL() << "Expected failure."; } in TEST_F()
53 TEST_F(HasFixtureTest, Test3) { FAIL() << "Expected failure."; } in TEST_F()
55 TEST_F(HasFixtureTest, Test4) { FAIL() << "Expected failure."; } in TEST_F()
61 TEST(HasSimpleTest, Test1) { FAIL() << "Expected failure."; } in TEST()
63 TEST(HasSimpleTest, Test2) { FAIL() << "Expected failure."; } in TEST()
65 TEST(HasSimpleTest, Test3) { FAIL() << "Expected failure."; } in TEST()
67 TEST(HasSimpleTest, Test4) { FAIL() << "Expected failure."; } in TEST()
73 TEST(HasDisabledTest, DISABLED_Test1) { FAIL() << "Expected failure."; } in TEST()
75 TEST(HasDisabledTest, Test2) { FAIL() << "Expected failure."; } in TEST()
[all …]
/freebsd/contrib/wpa/src/common/
H A Ddpp_reconfig.c58 goto fail; in dpp_build_reconfig_announcement()
65 goto fail; in dpp_build_reconfig_announcement()
71 goto fail; in dpp_build_reconfig_announcement()
78 goto fail; in dpp_build_reconfig_announcement()
84 goto fail; in dpp_build_reconfig_announcement()
90 goto fail; in dpp_build_reconfig_announcement()
98 goto fail; in dpp_build_reconfig_announcement()
122 fail: in dpp_build_reconfig_announcement()
201 goto fail; in dpp_configurator_build_own_connector()
206 goto fail; in dpp_configurator_build_own_connector()
[all …]
H A Ddpp_pkex.c46 goto fail; in dpp_pkex_build_exchange_req()
65 goto fail; in dpp_pkex_build_exchange_req()
71 goto fail; in dpp_pkex_build_exchange_req()
75 goto fail; in dpp_pkex_build_exchange_req()
90 goto fail; in dpp_pkex_build_exchange_req()
139 goto fail; in dpp_pkex_build_exchange_req()
147 goto fail; in dpp_pkex_build_exchange_req()
159 fail: in dpp_pkex_build_exchange_req()
199 goto fail; in dpp_pkex_init()
203 goto fail; in dpp_pkex_init()
[all …]
/freebsd/contrib/libfido2/src/
H A Du2f.c76 goto fail; in x5c_get()
84 goto fail; in x5c_get()
91 goto fail; in x5c_get()
95 fail: in x5c_get()
163 goto fail; in send_dummy_register()
169 goto fail; in send_dummy_register()
177 goto fail; in send_dummy_register()
182 goto fail; in send_dummy_register()
187 goto fail; in send_dummy_register()
192 fail: in send_dummy_register()
[all …]
H A Dpin.c45 goto fail; in pin_sha256_enc()
51 goto fail; in pin_sha256_enc()
59 goto fail; in pin_sha256_enc()
63 fail: in pin_sha256_enc()
106 goto fail; in pin_pad64_enc()
111 goto fail; in pin_pad64_enc()
117 goto fail; in pin_pad64_enc()
121 fail: in pin_pad64_enc()
165 goto fail; in ctap20_uv_token_tx()
172 goto fail; in ctap20_uv_token_tx()
[all …]
H A Des256.c81 goto fail; in es256_pk_encode()
87 goto fail; in es256_pk_encode()
104 goto fail; in es256_pk_encode()
110 goto fail; in es256_pk_encode()
116 goto fail; in es256_pk_encode()
122 goto fail; in es256_pk_encode()
125 fail: in es256_pk_encode()
237 goto fail; in es256_sk_create()
243 goto fail; in es256_sk_create()
251 goto fail; in es256_sk_create()
[all …]
H A Dlargeblob.c73 goto fail; in largeblob_decrypt()
77 goto fail; in largeblob_decrypt()
82 goto fail; in largeblob_decrypt()
86 fail: in largeblob_decrypt()
103 goto fail; in largeblob_get_nonce()
107 goto fail; in largeblob_get_nonce()
111 fail: in largeblob_get_nonce()
127 goto fail; in largeblob_seal()
131 goto fail; in largeblob_seal()
135 goto fail; in largeblob_seal()
[all …]
H A Dhid_win.c54 goto fail; in is_fido()
59 goto fail; in is_fido()
63 fail: in is_fido()
80 goto fail; in get_report_len()
85 goto fail; in get_report_len()
95 goto fail; in get_report_len()
99 fail: in get_report_len()
135 goto fail; in get_manufacturer()
141 goto fail; in get_manufacturer()
146 goto fail; in get_manufacturer()
[all …]
/freebsd/usr.sbin/ctld/
H A Duclparse.c459 goto fail; in uclparse_auth_group()
465 goto fail; in uclparse_auth_group()
471 goto fail; in uclparse_auth_group()
477 goto fail; in uclparse_auth_group()
484 goto fail; in uclparse_auth_group()
490 goto fail; in uclparse_auth_group()
496 goto fail; in uclparse_auth_group()
505 goto fail; in uclparse_auth_group()
515 goto fail; in uclparse_auth_group()
521 goto fail; in uclparse_auth_group()
[all …]
/freebsd/contrib/libfido2/tools/
H A Dutil.c225 goto fail; in read_ec_pubkey()
230 goto fail; in read_ec_pubkey()
234 goto fail; in read_ec_pubkey()
237 fail: in read_ec_pubkey()
257 goto fail; in write_es256_pubkey()
262 goto fail; in write_es256_pubkey()
267 goto fail; in write_es256_pubkey()
272 goto fail; in write_es256_pubkey()
276 fail: in write_es256_pubkey()
295 goto fail; in write_es384_pubkey()
[all …]
/freebsd/share/man/man9/
H A Dfail.944 .Nd fail points
59 Fail points are used to add code points where errors may be injected
61 Fail points provide a convenient wrapper around user-provided error
67 The base fail point macro is
73 for kernel fail points, but various subsystems may wish to provide
74 their own fail point trees), and
95 argument which controls the fail point's behaviour.
96 This can be used to e.g., mark the fail point's context as non-sleepable,
107 Mark the fail point as being in a non-sleepable context, which coerces
118 argument, which allows you to set the condition under which the fail point's
[all …]
/freebsd/contrib/llvm-project/llvm/lib/Target/ARM/Disassembler/
H A DARMDisassembler.cpp726 return MCDisassembler::Fail; in checkDecodedInstruction()
797 return MCDisassembler::Fail; in getARMInstruction()
807 if (Result != MCDisassembler::Fail) { in getARMInstruction()
826 if (Result != MCDisassembler::Fail) { in getARMInstruction()
831 return MCDisassembler::Fail; in getARMInstruction()
838 if (Result != MCDisassembler::Fail) { in getARMInstruction()
844 return MCDisassembler::Fail; in getARMInstruction()
1082 return MCDisassembler::Fail; in getThumbInstruction()
1089 if (Result != MCDisassembler::Fail) { in getThumbInstruction()
1107 if (Result != MCDisassembler::Fail) { in getThumbInstruction()
[all …]
/freebsd/tools/regression/sockets/kqueue/
H A Dkqueue.c60 fail(int error, const char *func, const char *socktype, const char *rest) in fail() function
112 fail(errno, "kevent", socktype, "EVFILT_READ, EV_ADD"); in test_evfilt_read()
122 fail(errno, "kevent", socktype, "EVFILT_READ"); in test_evfilt_read()
135 fail(errno, "write", socktype, NULL); in test_evfilt_read()
148 fail(errno, "kevent", socktype, "EVFILT_READ"); in test_evfilt_read()
160 fail(errno, "read", socktype, NULL); in test_evfilt_read()
173 fail(errno, "kevent", socktype, "EVFILT_READ"); in test_evfilt_read()
182 fail(errno, "kevent", socktype, "EVFILT_READ, EV_DELETE"); in test_evfilt_read()
197 fail(errno, "kevent", socktype, "EVFILT_WRITE, EV_ADD"); in test_evfilt_write()
207 fail(errno, "kevent", socktype, "EVFILT_WRITE"); in test_evfilt_write()
[all …]
/freebsd/contrib/expat/tests/
H A Dalloc_tests.c67 fail("Parser not created"); in alloc_setup()
97 fail("Parse succeeded despite failing allocator"); in START_TEST()
99 fail("Parse failed with max allocations"); in START_TEST()
143 fail("Parse succeeded despite failing allocator"); in START_TEST()
145 fail("Parse failed with max allocations"); in START_TEST()
170 fail("Parse succeeded despite failing allocator"); in START_TEST()
172 fail("Parse failed with max allocations"); in START_TEST()
196 fail("Parse succeeded despite failing allocator"); in START_TEST()
198 fail("Parse failed with max allocations"); in START_TEST()
237 fail("Parse succeeded despite failing allocator"); in START_TEST()
[all …]

12345678910>>...143